<?php
/**
 * @author     polkurier.pl <api@polkurier.pl>
 * @copyright  polkurier.pl
 * @license    https://opensource.org/licenses/OSL-3.0 OSL/OSL-3.0
 * @category   Module
 * @package    Presta 8
 * @subpackage polkurier
 * @link       https://www.polkurier.pl
 */

namespace Polkurier\SenderOrder;

use Polkurier\Model\SqlAbstract;
use Db;

class SqlSenderOrder extends SqlAbstract
{
    public static function insertSql($data = [])
    {
        Db::getInstance()->insert(parent::OrderSender(), $data, false, false, Db::INSERT, false);
        return Db::getInstance()->Insert_ID();
    }

    public static function getSenderOrderByOrderId($id): ?array
    {
        try {
            return Db::getInstance()->getRow('SELECT * FROM ' . parent::OrderSender() . ' WHERE order_id = ' . (int)$id . ';');
        } catch (PrestaShopDatabaseException $e) {
            return [];
        }
    }
}