<?php

namespace PolkurierWebServiceApi\Entities;

class SenderCoverAddress
{
    private ?string $company = null;
    private ?string $person = null;
    private ?string $street = null;
    private ?string $houseNumber = null;
    private ?string $flatNumber = null;
    private ?string $postalCode = null;
    private ?string $city = null;
    private ?string $email = null;
    private ?string $phone = null;

    public function getCompany(): ?string
    {
        return $this->company;
    }

    public function setCompany(?string $company): void
    {
        $this->company = $company;
    }

    public function getPerson(): ?string
    {
        return $this->person;
    }

    public function setPerson(?string $person): void
    {
        $this->person = $person;
    }

    public function getStreet(): ?string
    {
        return $this->street;
    }

    public function setStreet(?string $street): void
    {
        $this->street = $street;
    }

    public function getHouseNumber(): ?string
    {
        return $this->houseNumber;
    }

    public function setHouseNumber(?string $houseNumber): void
    {
        $this->houseNumber = $houseNumber;
    }

    public function getFlatNumber(): ?string
    {
        return $this->flatNumber;
    }

    public function setFlatNumber(?string $flatNumber): void
    {
        $this->flatNumber = $flatNumber;
    }

    public function getPostalCode(): ?string
    {
        return $this->postalCode;
    }

    public function setPostalCode(?string $postalCode): void
    {
        $this->postalCode = $postalCode;
    }

    public function getCity(): ?string
    {
        return $this->city;
    }

    public function setCity(?string $city): void
    {
        $this->city = $city;
    }

    public function getEmail(): ?string
    {
        return $this->email;
    }

    public function setEmail(?string $email): void
    {
        $this->email = $email;
    }

    public function getPhone(): ?string
    {
        return $this->phone;
    }

    public function setPhone(?string $phone): void
    {
        $this->phone = $phone;
    }

    public function toArray(): array
    {
        return [
            'company' => $this->company,
            'person' => $this->person,
            'street' => $this->street,
            'housenumber' => $this->houseNumber,
            'flatnumber' => $this->flatNumber,
            'postcode' => $this->postalCode,
            'city' => $this->city,
            'email' => $this->email,
            'phone' => $this->phone,
        ];
    }
}