<?php
/**
 * @author     polkurier.pl <api@polkurier.pl>
 * @copyright  polkurier.pl
 * @license    https://opensource.org/licenses/OSL-3.0 OSL/OSL-3.0
 * @category   Module
 * @package    Presta 8
 * @subpackage polkurier
 * @link       https://www.polkurier.pl
 */

namespace Polkurier\Model\Shipment;

final class Sender extends OrderAdres
{
    private ?string $contact_name = null;

    public function getContactName(): ?string
    {
        return $this->contact_name;
    }

    public function setContactName($contact_name): Sender
    {
        $this->contact_name = (string)$contact_name;
        return $this;
    }
}